You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@stdcxx.apache.org by se...@apache.org on 2007/06/07 22:01:23 UTC

svn commit: r545290 - /incubator/stdcxx/trunk/etc/config/xlC_version.sh

Author: sebor
Date: Thu Jun  7 13:01:22 2007
New Revision: 545290

URL: http://svn.apache.org/viewvc?view=rev&rev=545290
Log:
2007-06-07  Martin Sebor  <se...@roguewave.com>

	* xlC_version.sh: Restored detailed script output from stdcxx 4.1.3
	for VAC++ 6.0 (i.e., to include the last component) inadvertently
	removed in r518779.

Modified:
    incubator/stdcxx/trunk/etc/config/xlC_version.sh

Modified: incubator/stdcxx/trunk/etc/config/xlC_version.sh
URL: http://svn.apache.org/viewvc/incubator/stdcxx/trunk/etc/config/xlC_version.sh?view=diff&rev=545290&r1=545289&r2=545290
==============================================================================
--- incubator/stdcxx/trunk/etc/config/xlC_version.sh (original)
+++ incubator/stdcxx/trunk/etc/config/xlC_version.sh Thu Jun  7 13:01:22 2007
@@ -28,11 +28,19 @@
     exit
 fi
 
+# check to see if this is the base 7.0
 grep "V7" $xlcout > /dev/null 2>&1
+v7_or_6=$?
 
-if [ $? -eq 0 ]; then
+if [ $v7_or_6 -ne 0 ]; then
+    # if it's not 7.0 see if it's 6.0
+    grep "version 6.0" $xlcout > /dev/null 2>&1
+    v7_or_6=$?
+fi
+
+if [ $v7_or_6 -eq 0 ]; then
 
-    # VisualAge 7.0 (unpatched)
+    # VisualAge 6.0 or 7.0 (unpatched)
     tmpsrc=/tmp/$CXX_version.$$.cpp
     tmpobj=/tmp/$CXX_version.$$.o
 
@@ -59,7 +67,7 @@
     exit
 fi
 
-# VisualAge 6.0 (and prior?)
+# VisualAge 5.0 (and prior?)
 echo >> $xlcout
 sed "s/.*version \(.*\)/\1/" $xlcout
 rm $xlcout